// package: workers
// file: avvyprotocol/workers.proto

import * as jspb from "google-protobuf";
import * as avvyprotocol_ucsProcess_pb from "../avvyprotocol/ucsProcess_pb";
import * as avvyprotocol_mediaProcess_pb from "../avvyprotocol/mediaProcess_pb";

export class WorkerRequest extends jspb.Message {
  hasUcsprocessrequest(): boolean;
  clearUcsprocessrequest(): void;
  getUcsprocessrequest(): avvyprotocol_ucsProcess_pb.UCSProcessRequest | undefined;
  setUcsprocessrequest(value?: avvyprotocol_ucsProcess_pb.UCSProcessRequest): void;

  hasMediaprocessrequest(): boolean;
  clearMediaprocessrequest(): void;
  getMediaprocessrequest(): avvyprotocol_mediaProcess_pb.MediaProcessRequest | undefined;
  setMediaprocessrequest(value?: avvyprotocol_mediaProcess_pb.MediaProcessRequest): void;

  getRequestCase(): WorkerRequest.RequestCase;
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): WorkerRequest.AsObject;
  static toObject(includeInstance: boolean, msg: WorkerRequest): WorkerRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: WorkerRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): WorkerRequest;
  static deserializeBinaryFromReader(message: WorkerRequest, reader: jspb.BinaryReader): WorkerRequest;
}

export namespace WorkerRequest {
  export type AsObject = {
    ucsprocessrequest?: avvyprotocol_ucsProcess_pb.UCSProcessRequest.AsObject,
    mediaprocessrequest?: avvyprotocol_mediaProcess_pb.MediaProcessRequest.AsObject,
  }

  export enum RequestCase {
    REQUEST_NOT_SET = 0,
    UCSPROCESSREQUEST = 1,
    MEDIAPROCESSREQUEST = 2,
  }
}

export class WorkerResponse extends jspb.Message {
  hasUcsprocessresponse(): boolean;
  clearUcsprocessresponse(): void;
  getUcsprocessresponse(): avvyprotocol_ucsProcess_pb.UCSProcessResponse | undefined;
  setUcsprocessresponse(value?: avvyprotocol_ucsProcess_pb.UCSProcessResponse): void;

  hasMediaprocessresponse(): boolean;
  clearMediaprocessresponse(): void;
  getMediaprocessresponse(): avvyprotocol_mediaProcess_pb.MediaProcessResponse | undefined;
  setMediaprocessresponse(value?: avvyprotocol_mediaProcess_pb.MediaProcessResponse): void;

  getResponseCase(): WorkerResponse.ResponseCase;
  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): WorkerResponse.AsObject;
  static toObject(includeInstance: boolean, msg: WorkerResponse): WorkerResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: WorkerResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): WorkerResponse;
  static deserializeBinaryFromReader(message: WorkerResponse, reader: jspb.BinaryReader): WorkerResponse;
}

export namespace WorkerResponse {
  export type AsObject = {
    ucsprocessresponse?: avvyprotocol_ucsProcess_pb.UCSProcessResponse.AsObject,
    mediaprocessresponse?: avvyprotocol_mediaProcess_pb.MediaProcessResponse.AsObject,
  }

  export enum ResponseCase {
    RESPONSE_NOT_SET = 0,
    UCSPROCESSRESPONSE = 1,
    MEDIAPROCESSRESPONSE = 2,
  }
}

