// package: l2
// file: avvyprotocol/l2_uco.proto

import * as jspb from "google-protobuf";

export class AssetQuery extends jspb.Message {
  clearCidsList(): void;
  getCidsList(): Array<Uint8Array | string>;
  getCidsList_asU8(): Array<Uint8Array>;
  getCidsList_asB64(): Array<string>;
  setCidsList(value: Array<Uint8Array | string>): void;
  addCids(value: Uint8Array | string, index?: number): Uint8Array | string;

  clearExcludeCidsList(): void;
  getExcludeCidsList(): Array<Uint8Array | string>;
  getExcludeCidsList_asU8(): Array<Uint8Array>;
  getExcludeCidsList_asB64(): Array<string>;
  setExcludeCidsList(value: Array<Uint8Array | string>): void;
  addExcludeCids(value: Uint8Array | string, index?: number): Uint8Array | string;

  getDfsStrategy(): AssetDFSStrategyMap[keyof AssetDFSStrategyMap];
  setDfsStrategy(value: AssetDFSStrategyMap[keyof AssetDFSStrategyMap]): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): AssetQuery.AsObject;
  static toObject(includeInstance: boolean, msg: AssetQuery): AssetQuery.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: AssetQuery, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): AssetQuery;
  static deserializeBinaryFromReader(message: AssetQuery, reader: jspb.BinaryReader): AssetQuery;
}

export namespace AssetQuery {
  export type AsObject = {
    cidsList: Array<Uint8Array | string>,
    excludeCidsList: Array<Uint8Array | string>,
    dfsStrategy: AssetDFSStrategyMap[keyof AssetDFSStrategyMap],
  }
}

export interface AssetDFSStrategyMap {
  QRYSTR_NOT_CONNECT: 0;
  QRYSTR_ALL_CONNECTED: 1;
  QRYSTR_ONLY_METADATA: 2;
}

export const AssetDFSStrategy: AssetDFSStrategyMap;

